> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anyfast.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# kling-element-list

> 分页获取当前用户创建的所有自定义主体列表。



## OpenAPI

````yaml zh/api-reference/model-api/kuaishou/openapi/kling-element-list/openapi.yaml GET /kling/v1/general/advanced-custom-elements
openapi: 3.1.0
info:
  title: Kling 查询自定义主体列表
  description: 分页查询当前用户创建的所有自定义主体
  version: 1.0.0
servers:
  - url: https://www.anyfast.ai
security:
  - bearerAuth: []
paths:
  /kling/v1/general/advanced-custom-elements:
    get:
      summary: 查询自定义主体列表
      description: 分页获取当前用户创建的所有自定义主体列表。
      operationId: listKlingCustomElementsZh
      parameters:
        - name: pageNum
          in: query
          required: false
          description: 页码，从 1 开始。
          schema:
            type: integer
            default: 1
            example: 1
        - name: pageSize
          in: query
          required: false
          description: 每页数量。
          schema:
            type: integer
            default: 10
            example: 10
      responses:
        '200':
          description: 查询成功
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 0
                  message:
                    type: string
                    example: SUCCEED
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        task_id:
                          type: string
                        task_status:
                          type: string
                          enum:
                            - submitted
                            - succeed
                            - failed
                          description: 任务状态。
                        task_result:
                          type: object
                          properties:
                            elements:
                              type: array
                              items:
                                type: object
                                properties:
                                  element_id:
                                    type: integer
                                  element_name:
                                    type: string
                                  status:
                                    type: string
                        created_at:
                          type: integer
                          description: 创建时间（毫秒时间戳）
                        updated_at:
                          type: integer
        '401':
          description: 未授权
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````